/* David's types in the game.  Don't mix these with your own types!
  (C)2000 Overlord David Duncan Ross Palmer Overlord@DayboLogic.co.uk

  Note: 20030607 - The game was a platform game which has not been
  completed as of this date.  The primative types here will become
  redundant as we move into ISO C99
*/

#ifndef INC_DDRPTYPE_H
#define INC_DDRPTYPE_H
/*-------------------------------------------------------------------------*/
/*
  Check for required headers
*/
#ifndef ULONG_MAX
# error ("limits.h must be included before ddrptype.h")
#endif /*!ULONG_MAX*/

typedef unsigned int BOOL;
#define TRUE (1U)
#define FALSE (0U)

/* DWORD is fixed at 32-bits */
#if ( ULONG_MAX > 0xFFFFFFFFUL )
 typedef unsigned int DWORD;
#else
 typedef unsigned long DWORD;
#endif

/* WORD is fixed at 16-bits */
typedef unsigned short WORD;

/* Shortcuts */
typedef unsigned long ULONG;
typedef unsigned int UINT;
typedef unsigned char BYTE;
/*-------------------------------------------------------------------------*/
#endif /*!INC_DDRPTYPE_H*/
